OpenSeesPy install error!

Forum for asking and answering questions related to use of the OpenSeesPy module

Moderators: silvia, selimgunay, Moderators

Post Reply
shubham
Posts: 1
Joined: Thu Nov 05, 2015 4:26 am
Location: The University of Tokyo

OpenSeesPy install error!

Post by shubham » Thu Feb 18, 2021 9:38 pm

I have Python 3.9.1
I tried installing OpenSeesPy with "pip install openseespy"
Install finishes without any problems

When running "import openseespy.opensees"
I get a RuntimeError
"Python version 3.8 is needed for Windows"
"Failed to import openseespy on Windows."

What am I doing wrong?
Last edited by shubham on Fri Feb 19, 2021 11:35 pm, edited 1 time in total.

Prafullamalla
Posts: 141
Joined: Mon Feb 02, 2015 6:32 pm

Re: OpenSeesPy install error!

Post by Prafullamalla » Thu Feb 18, 2021 10:55 pm

you need to downgrade your python version. I think it does not support version 3.9.1.
Prafulla Malla, Nepal
Praf_malla@hotmail.com

Post Reply